using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;

namespace Dominio
{
    public class Pedido
    {
        public int PedidoId { get; set; }

        [Display(Name="Data do Pedido")]
        [Required(ErrorMessage="Data do pedido é obrigatório!")]
        [DataType(DataType.Date, ErrorMessage="Data em formato inválido")]
        [DisplayFormat(DataFormatString = "{0:yyyy-MM-dd}", ApplyFormatInEditMode = true)]
        public DateTime Data { get; set; }

        public virtual Cliente Cliente { get; set; }
        public virtual List<Item> Itens { get; set; }
    }
}
